Bug 13689 - Samba 4.7 and below do not have GitLab CI metadata
Samba 4.7 and below do not have GitLab CI metadata
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Test infrastructure
4.7.11
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-23 01:25 UTC by Andrew Bartlett
Modified: 2019-04-01 00:40 UTC (History)
1 user (show)

See Also:


Attachments
patch for Samba 4.6 (6.42 KB, patch)
2018-11-23 01:29 UTC, Andrew Bartlett
gary: review+
Details
patch for Samba 4.6 (6.42 KB, patch)
2018-11-23 01:30 UTC, Andrew Bartlett
no flags Details
patch for Samba 4.7 (5.23 KB, patch)
2018-11-23 01:32 UTC, Andrew Bartlett
abartlet: review? (gary)
gary: review+
Details
patch for Samba 4.5 (6.34 KB, patch)
2018-11-23 01:35 UTC, Andrew Bartlett
gary: review+
Details
patch for Samba 4.5 (v2) (9.07 KB, patch)
2018-11-26 21:15 UTC, Andrew Bartlett
abartlet: review? (gary)
Details
patch for Samba 4.6 (v2) (9.14 KB, patch)
2018-11-26 21:16 UTC, Andrew Bartlett
abartlet: review? (gary)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-11-23 01:25:17 UTC
Samba 4.7 and below do not have GitLab CI metadata as they predate the efforts to use this service.

Adding such metadata will make supporting these old releases easier.
Comment 1 Andrew Bartlett 2018-11-23 01:29:41 UTC
Created attachment 14681 [details]
patch for Samba 4.6
Comment 2 Andrew Bartlett 2018-11-23 01:30:43 UTC
Created attachment 14682 [details]
patch for Samba 4.6
Comment 3 Andrew Bartlett 2018-11-23 01:32:21 UTC
Created attachment 14683 [details]
patch for Samba 4.7
Comment 4 Andrew Bartlett 2018-11-23 01:35:24 UTC
Created attachment 14684 [details]
patch for Samba 4.5
Comment 5 Andrew Bartlett 2018-11-23 05:21:30 UTC
While I understand these branches are closed to development, if possible please merge these to aid long-term maintenance using our modern tooling.

Thanks!
Comment 6 Andrew Bartlett 2018-11-26 21:15:28 UTC
Created attachment 14687 [details]
patch for Samba 4.5 (v2)

These patches pass a full CI run on GitLab.com with the Rackspace runners.  We have to extend the runtime and fix the ntlm_auth issue, as otherwise it will always fail, but this provides a good basis for testing backported security patches easily.
Comment 7 Andrew Bartlett 2018-11-26 21:16:23 UTC
Created attachment 14688 [details]
patch for Samba 4.6 (v2)
Comment 8 Karolin Seeger 2019-03-21 12:06:22 UTC
Included in v4-7-test.
Re-assigning bug report to Andrew as I am not sure if it can be closed now.
Comment 9 Andrew Bartlett 2019-04-01 00:40:41 UTC
While I would love the patches in 4.5 and 4.6 for those of us who need to maintain security patches against those for (eg) Debian, this is good enough for now.

Thanks!